Bug 170442 - fail to mount iso file system
fail to mount iso file system
Status: CLOSED DUPLICATE of bug 170443
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-11 15:20 EDT by Thomas Zine
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-20 06:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Zine 2005-10-11 15:20:16 EDT
Description of problem:
mount -o loop -t iso9660 ./file.iso /mountpoint
mount: Not a directory

Version-Release number of selected component (if applicable):
util-linux-2.12a-16.EL4.12

How reproducible:
always

Steps to Reproduce:
1. mount -o loop -t iso9660 ./file.iso /mountpoint
  
Actual results:
mount: Not a directory

Expected results:
Happy iso filesystem

Additional info:
strace -t mount -o loop -t iso9660 ./RHEL4-U2-i386-AS-disc1.iso /media/iso1
14:21:12 execve("/bin/mount", ["mount", "-o", "loop", "-t", "iso9660",
"./RHEL4-U2-i386-AS-disc1.iso", "/media/iso1"], [/* 23 vars */]) = 0
14:21:12 uname({sys="Linux", ...}) = 0
14:21:12 brk(0)                         = 0x9a5e000
14:21:12 access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
14:21:12 open("/etc/ld.so.cache", O_RDONLY) = 3
14:21:12 fstat64(3, {st_mode=S_IFREG|0644, st_size=120985, ...}) = 0
14:21:12 old_mmap(NULL, 120985, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7fe2000
14:21:12 close(3)                       = 0
14:21:12 open("/lib/tls/libc.so.6", O_RDONLY) = 3
14:21:12 read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20\177"...,
512) = 512
14:21:12 fstat64(3, {st_mode=S_IFREG|0755, st_size=1454462, ...}) = 0
14:21:12 old_mmap(0x303000, 1219772, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x303000
14:21:12 old_mmap(0x427000, 16384, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x124000) = 0x427000
14:21:12 old_mmap(0x42b000, 7356, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x42b000
14:21:12 close(3)                       = 0
14:21:12 old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xb7fe1000
14:21:12 mprotect(0x427000, 4096, PROT_READ) = 0
14:21:12 mprotect(0x2ff000, 4096, PROT_READ) = 0
14:21:12 set_thread_area({entry_number:-1 -> 6, base_addr:0xb7fe1aa0,
limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1,
seg_not_present:0, useable:1}) = 0
14:21:12 munmap(0xb7fe2000, 120985)     = 0
14:21:12 brk(0)                         = 0x9a5e000
14:21:12 brk(0x9a7f000)                 = 0x9a7f000
14:21:12 open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 3
14:21:12 fstat64(3, {st_mode=S_IFREG|0644, st_size=48516560, ...}) = 0
14:21:12 mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7de1000
14:21:12 close(3)                       = 0
14:21:12 umask(022)                     = 022
14:21:12 open("/dev/null", O_RDWR|O_LARGEFILE) = 3
14:21:12 close(3)                       = 0
14:21:12 getuid32()                     = 0
14:21:12 geteuid32()                    = 0
14:21:12 lstat64("/etc/mtab", {st_mode=S_IFREG|0644, st_size=552, ...}) = 0
14:21:12 stat64("/dev/loop0", {st_mode=S_IFBLK|0660, st_rdev=makedev(7, 0),
...}) = 0
14:21:12 open("/dev/loop0", O_RDONLY|O_LARGEFILE) = 3
14:21:12 ioctl(3, 0x4c03, 0xbfe2cc20)   = -1 ENXIO (No such device or address)
14:21:12 close(3)                       = 0
14:21:12 open("./RHEL4-U2-i386-AS-disc1.iso", O_RDWR|O_LARGEFILE) = 3
14:21:12 open("/dev/loop0", O_RDWR|O_LARGEFILE) = 4
14:21:12 mlockall(MCL_CURRENT|MCL_FUTURE) = 0
14:21:12 ioctl(4, 0x4c00, 0x3)          = 0
14:21:12 close(3)                       = 0
14:21:12 ioctl(4, 0x4c04, 0xbfe2cc40)   = 0
14:21:12 close(4)                       = 0
14:21:12 stat64("/sbin/mount.iso9660", 0xbfe2cc50) = -1 ENOENT (No such file or
directory)
14:21:12 rt_sigprocmask(SIG_BLOCK, ~[TRAP SEGV RTMIN RT_1], NULL, 8) = 0
14:21:12 mount("/dev/loop0", "/media/iso1", "iso9660",
MS_POSIXACL|MS_ACTIVE|MS_NOUSER|0xec0000, 0x9a5ecd0) = -1 ENOTDIR (Not a directory)
14:21:12 open("/dev/loop0", O_RDONLY|O_LARGEFILE) = 3
14:21:12 ioctl(3, 0x4c01, 0)            = 0
14:21:12 close(3)                       = 0
14:21:12 rt_sigprocmask(SIG_UNBLOCK, ~[TRAP SEGV RTMIN RT_1], NULL, 8) = 0
14:21:12 stat64("/media/iso1", {st_mode=S_IFDIR|0777, st_size=4096, ...}) = 0
14:21:12 stat64("/dev/loop0", {st_mode=S_IFBLK|0660, st_rdev=makedev(7, 0),
...}) = 0
14:21:12 dup(2)                         = 3
14:21:12 fcntl64(3, F_GETFL)            = 0x8002 (flags O_RDWR|O_LARGEFILE)
14:21:12 fstat64(3, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 0), ...}) = 0
14:21:12 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7de0000
14:21:12 _llseek(3, 0, 0xbfe2c7e0, SEEK_CUR) = -1 ESPIPE (Illegal seek)
14:21:12 open("/usr/share/locale/locale.alias", O_RDONLY) = 4
14:21:12 fstat64(4, {st_mode=S_IFREG|0644, st_size=2528, ...}) = 0
14:21:12 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7ddf000
14:21:12 read(4, "# Locale name alias data base.\n#"..., 4096) = 2528
14:21:12 read(4, "", 4096)              = 0
14:21:12 close(4)                       = 0
14:21:12 munmap(0xb7ddf000, 4096)       = 0
14:21:12 open("/usr/share/locale/en_US.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) =
-1 ENOENT (No such file or directory)
14:21:12 open("/usr/share/locale/en_US.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
14:21:12 open("/usr/share/locale/en_US/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
14:21:12 open("/usr/share/locale/en.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
14:21:12 open("/usr/share/locale/en.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
14:21:12 open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT
(No such file or directory)
14:21:12 write(3, "mount: Not a directory\n", 23mount: Not a directory
) = 23
14:21:12 close(3)                       = 0
14:21:12 munmap(0xb7de0000, 4096)       = 0
14:21:12 exit_group(32)                 = ?
Process 4902 detached
Comment 1 Thomas Zine 2005-10-11 15:23:23 EDT
strace -t mount -o loop -t iso9660 ./RHEL4-U2-i386-AS-disc1.iso ./1
13:43:47 execve("/bin/mount", ["mount", "-o", "loop", "-t", "iso9660",
"./RHEL4-U2-i386-AS-disc1.iso", "./1"], [/* 24 vars */]) = 0
13:43:47 brk(0)                         = 0x8d68000
13:43:47 old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xb7ff5000
13:43:47 access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
13:43:47 open("/etc/ld.so.cache", O_RDONLY) = 3
13:43:47 fstat64(3, {st_mode=S_IFREG|0644, st_size=166775, ...}) = 0
13:43:47 old_mmap(NULL, 166775, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7fcc000
13:43:47 close(3)                       = 0
13:43:47 open("/lib/libblkid.so.1", O_RDONLY) = 3
13:43:47 read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0 \336\20"...,
512) = 512
13:43:47 fstat64(3, {st_mode=S_IFREG|0755, st_size=33616, ...}) = 0
13:43:47 old_mmap(0x10c000, 30964, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x10c000
13:43:47 old_mmap(0x113000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x7000) = 0x113000
13:43:47 close(3)                       = 0
13:43:47 open("/lib/libuuid.so.1", O_RDONLY) = 3
13:43:47 read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220z\20"...,
512) = 512
13:43:47 fstat64(3, {st_mode=S_IFREG|0755, st_size=10648, ...}) = 0
13:43:47 old_mmap(0x107000, 12144, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x107000
13:43:47 old_mmap(0x109000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1000) = 0x109000
13:43:47 close(3)                       = 0
13:43:47 open("/lib/libc.so.6", O_RDONLY) = 3
13:43:47 read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\212\256"...,
512) = 512
13:43:47 fstat64(3, {st_mode=S_IFREG|0755, st_size=1485672, ...}) = 0
13:43:47 old_mmap(0x8d6000, 1215452, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x8d6000
13:43:47 old_mmap(0x9f9000, 16384, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x123000) = 0x9f9000
13:43:47 old_mmap(0x9fd000, 7132, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x9fd000
13:43:47 close(3)                       = 0
13:43:47 old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xb7fcb000
13:43:47 set_thread_area({entry_number:-1 -> 6, base_addr:0xb7fcb9e0,
limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1,
seg_not_present:0, useable:1}) = 0
13:43:47 mprotect(0x9f9000, 8192, PROT_READ) = 0
13:43:47 mprotect(0x8d2000, 4096, PROT_READ) = 0
13:43:47 munmap(0xb7fcc000, 166775)     = 0
13:43:47 brk(0)                         = 0x8d68000
13:43:47 brk(0x8d89000)                 = 0x8d89000
13:43:47 open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 3
13:43:47 fstat64(3, {st_mode=S_IFREG|0644, st_size=49614592, ...}) = 0
13:43:47 mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7dcb000
13:43:47 close(3)                       = 0
13:43:47 umask(022)                     = 022
13:43:47 open("/dev/null", O_RDWR|O_LARGEFILE) = 3
13:43:47 close(3)                       = 0
13:43:47 getuid32()                     = 0
13:43:47 geteuid32()                    = 0
13:43:47 getgid32()                     = 0
13:43:47 getegid32()                    = 0
13:43:47 prctl(0x3, 0x20, 0xbfaf4958, 0x7, 0xbfaf4b04) = 1
13:43:47 open("/etc/blkid.tab", O_RDONLY) = 3
13:43:47 fstat64(3, {st_mode=S_IFREG|0644, st_size=677, ...}) = 0
13:43:47 fcntl64(3, F_GETFL)            = 0 (flags O_RDONLY)
13:43:47 fstat64(3, {st_mode=S_IFREG|0644, st_size=677, ...}) = 0
13:43:47 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7ff4000
13:43:47 _llseek(3, 0, [0], SEEK_CUR)   = 0
13:43:47 read(3, "<device DEVNO=\"0x0301\" TIME=\"112"..., 4096) = 677
13:43:47 read(3, "", 4096)              = 0
13:43:47 close(3)                       = 0
13:43:47 munmap(0xb7ff4000, 4096)       = 0
13:43:47 getuid32()                     = 0
13:43:47 geteuid32()                    = 0
13:43:47 lstat64("/etc/mtab", {st_mode=S_IFREG|0644, st_size=496, ...}) = 0
13:43:47 stat64("/dev/loop0", {st_mode=S_IFBLK|0640, st_rdev=makedev(7, 0),
...}) = 0
13:43:47 open("/dev/loop0", O_RDONLY|O_LARGEFILE) = 3
13:43:47 ioctl(3, 0x4c03, 0xbfaf4504)   = -1 ENXIO (No such device or address)
13:43:47 close(3)                       = 0
13:43:47 open("./RHEL4-U2-i386-AS-disc1.iso", O_RDWR|O_LARGEFILE) = 3
13:43:47 open("/dev/loop0", O_RDWR|O_LARGEFILE) = 4
13:43:47 mlockall(MCL_CURRENT|MCL_FUTURE) = 0
13:43:47 ioctl(4, 0x4c00, 0x3)          = 0
13:43:47 close(3)                       = 0
13:43:47 ioctl(4, 0x4c04, 0xbfaf4494)   = 0
13:43:47 close(4)                       = 0
13:43:47 stat64("/sbin/mount.iso9660", 0xbfaf4580) = -1 ENOENT (No such file or
directory)
13:43:47 rt_sigprocmask(SIG_BLOCK, ~[TRAP SEGV RTMIN RT_1], NULL, 8) = 0
13:43:47 mount("/dev/loop0", "./1", "iso9660",
MS_POSIXACL|MS_ACTIVE|MS_NOUSER|0xec0000, 0x8d694f8) = -1 ENOTDIR (Not a directory)
13:43:47 open("/dev/loop0", O_RDONLY|O_LARGEFILE) = 3
13:43:47 ioctl(3, 0x4c01, 0)            = 0
13:43:47 close(3)                       = 0
13:43:47 rt_sigprocmask(SIG_UNBLOCK, ~[TRAP SEGV RTMIN RT_1], NULL, 8) = 0
13:43:47 stat64("./1", {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
13:43:47 stat64("/dev/loop0", {st_mode=S_IFBLK|0640, st_rdev=makedev(7, 0),
...}) = 0
13:43:47 dup(2)                         = 3
13:43:47 fcntl64(3, F_GETFL)            = 0x2 (flags O_RDWR)
13:43:47 fstat64(3, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 0), ...}) = 0
13:43:47 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7ff4000
13:43:47 _llseek(3, 0, 0xbfaf40a8, SEEK_CUR) = -1 ESPIPE (Illegal seek)
13:43:47 open("/usr/share/locale/locale.alias", O_RDONLY) = 4
13:43:47 fstat64(4, {st_mode=S_IFREG|0644, st_size=2528, ...}) = 0
13:43:47 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7ff3000
13:43:47 read(4, "# Locale name alias data base.\n#"..., 4096) = 2528
13:43:47 read(4, "", 4096)              = 0
13:43:47 close(4)                       = 0
13:43:47 munmap(0xb7ff3000, 4096)       = 0
13:43:47 open("/usr/share/locale/en_US.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) =
-1 ENOENT (No such file or directory)
13:43:47 open("/usr/share/locale/en_US.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
13:43:47 open("/usr/share/locale/en_US/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
13:43:47 open("/usr/share/locale/en.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
13:43:47 open("/usr/share/locale/en.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
13:43:47 open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT
(No such file or directory)
13:43:47 write(3, "mount: Not a directory\n", 23mount: Not a directory
) = 23
13:43:47 close(3)                       = 0
13:43:47 munmap(0xb7ff4000, 4096)       = 0
13:43:47 exit_group(32)                 = ?
[root@kiel tmp]# mount -o loop ./RHEL4-U2-i386-AS-disc1.iso ./1 mount: Not a
directory
[root@kiel tmp]# strace -t mount -o loop ./RHEL4-U2-i386-AS-disc1.iso ./1
13:47:05 execve("/bin/mount", ["mount", "-o", "loop",
"./RHEL4-U2-i386-AS-disc1.iso", "./1"], [/* 24 vars */]) = 0
13:47:05 brk(0)                         = 0x9933000
13:47:05 old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xb7f2a000
13:47:05 access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
13:47:05 open("/etc/ld.so.cache", O_RDONLY) = 3
13:47:05 fstat64(3, {st_mode=S_IFREG|0644, st_size=166775, ...}) = 0
13:47:05 old_mmap(NULL, 166775, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7f01000
13:47:05 close(3)                       = 0
13:47:05 open("/lib/libblkid.so.1", O_RDONLY) = 3
13:47:05 read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0 \336\20"...,
512) = 512
13:47:05 fstat64(3, {st_mode=S_IFREG|0755, st_size=33616, ...}) = 0
13:47:05 old_mmap(0x10c000, 30964, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x10c000
13:47:05 old_mmap(0x113000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x7000) = 0x113000
13:47:05 close(3)                       = 0
13:47:05 open("/lib/libuuid.so.1", O_RDONLY) = 3
13:47:05 read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220z\20"...,
512) = 512
13:47:05 fstat64(3, {st_mode=S_IFREG|0755, st_size=10648, ...}) = 0
13:47:05 old_mmap(0x107000, 12144, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x107000
13:47:05 old_mmap(0x109000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1000) = 0x109000
13:47:05 close(3)                       = 0
13:47:05 open("/lib/libc.so.6", O_RDONLY) = 3
13:47:05 read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\212\256"...,
512) = 512
13:47:05 fstat64(3, {st_mode=S_IFREG|0755, st_size=1485672, ...}) = 0
13:47:05 old_mmap(0x8d6000, 1215452, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x114000
13:47:05 old_mmap(0x237000, 16384, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x123000) = 0x237000
13:47:05 old_mmap(0x23b000, 7132, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x23b000
13:47:05 close(3)                       = 0
13:47:05 old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xb7f00000
13:47:05 set_thread_area({entry_number:-1 -> 6, base_addr:0xb7f009e0,
limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1,
seg_not_present:0, useable:1}) = 0
13:47:05 mprotect(0x237000, 8192, PROT_READ) = 0
13:47:05 mprotect(0x8d2000, 4096, PROT_READ) = 0
13:47:05 munmap(0xb7f01000, 166775)     = 0
13:47:05 brk(0)                         = 0x9933000
13:47:05 brk(0x9954000)                 = 0x9954000
13:47:05 open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 3
13:47:05 fstat64(3, {st_mode=S_IFREG|0644, st_size=49614592, ...}) = 0
13:47:05 mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7d00000
13:47:05 close(3)                       = 0
13:47:05 umask(022)                     = 022
13:47:05 open("/dev/null", O_RDWR|O_LARGEFILE) = 3
13:47:05 close(3)                       = 0
13:47:05 getuid32()                     = 0
13:47:05 geteuid32()                    = 0
13:47:05 getgid32()                     = 0
13:47:05 getegid32()                    = 0
13:47:05 prctl(0x3, 0x20, 0x5, 0x5, 0xbff28084) = 1
13:47:05 open("/etc/blkid.tab", O_RDONLY) = 3
13:47:05 fstat64(3, {st_mode=S_IFREG|0644, st_size=753, ...}) = 0
13:47:05 fcntl64(3, F_GETFL)            = 0 (flags O_RDONLY)
13:47:05 fstat64(3, {st_mode=S_IFREG|0644, st_size=753, ...}) = 0
13:47:05 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7f29000
13:47:05 _llseek(3, 0, [0], SEEK_CUR)   = 0
13:47:05 read(3, "<device DEVNO=\"0x0301\" TIME=\"112"..., 4096) = 753
13:47:05 read(3, "", 4096)              = 0
13:47:05 close(3)                       = 0
13:47:05 munmap(0xb7f29000, 4096)       = 0
13:47:05 getuid32()                     = 0
13:47:05 geteuid32()                    = 0
13:47:05 lstat64("/etc/mtab", {st_mode=S_IFREG|0644, st_size=496, ...}) = 0
13:47:05 stat64("./RHEL4-U2-i386-AS-disc1.iso", {st_mode=S_IFREG|0664,
st_size=172092054, ...}) = 0
13:47:05 stat64("/dev/loop0", {st_mode=S_IFBLK|0640, st_rdev=makedev(7, 0),
...}) = 0
13:47:05 open("/dev/loop0", O_RDONLY|O_LARGEFILE) = 3
13:47:05 ioctl(3, 0x4c03, 0xbff27a84)   = -1 ENXIO (No such device or address)
13:47:05 close(3)                       = 0
13:47:05 open("./RHEL4-U2-i386-AS-disc1.iso", O_RDWR|O_LARGEFILE) = 3
13:47:05 open("/dev/loop0", O_RDWR|O_LARGEFILE) = 4
13:47:05 mlockall(MCL_CURRENT|MCL_FUTURE) = 0
13:47:05 ioctl(4, 0x4c00, 0x3)          = 0
13:47:05 close(3)                       = 0
13:47:05 ioctl(4, 0x4c04, 0xbff27a14)   = 0
13:47:05 close(4)                       = 0
13:47:05 rt_sigprocmask(SIG_BLOCK, ~[TRAP SEGV RTMIN RT_1], NULL, 8) = 0
13:47:05 time(NULL)                     = 1129056425
13:47:05 open("/dev/loop0", O_RDONLY)   = 3
13:47:05 fstat64(3, {st_mode=S_IFBLK|0640, st_rdev=makedev(7, 0), ...}) = 0
13:47:05 lseek(3, 32768, SEEK_SET)      = 32768
13:47:05 read(3, "\1CD001\1\0LINUX                   "..., 1024) = 1024
13:47:05 time(NULL)                     = 1129056425
13:47:05 close(3)                       = 0
13:47:05 stat64("/sbin/mount.iso9660", 0xbff27b00) = -1 ENOENT (No such file or
directory)
13:47:05 mount("/dev/loop0", "./1", "iso9660",
MS_POSIXACL|MS_ACTIVE|MS_NOUSER|0xec0000, 0x9934578) = -1 ENOTDIR (Not a directory)
13:47:05 open("/dev/loop0", O_RDONLY|O_LARGEFILE) = 3
13:47:05 ioctl(3, 0x4c01, 0)            = 0
13:47:05 close(3)                       = 0
13:47:05 rt_sigprocmask(SIG_UNBLOCK, ~[TRAP SEGV RTMIN RT_1], NULL, 8) = 0
13:47:05 stat64("./1", {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
13:47:05 stat64("/dev/loop0", {st_mode=S_IFBLK|0640, st_rdev=makedev(7, 0),
...}) = 0
13:47:05 dup(2)                         = 3
13:47:05 fcntl64(3, F_GETFL)            = 0x2 (flags O_RDWR)
13:47:05 fstat64(3, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 0), ...}) = 0
13:47:05 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7f29000
13:47:05 _llseek(3, 0, 0xbff27628, SEEK_CUR) = -1 ESPIPE (Illegal seek)
13:47:05 open("/usr/share/locale/locale.alias", O_RDONLY) = 4
13:47:05 fstat64(4, {st_mode=S_IFREG|0644, st_size=2528, ...}) = 0
13:47:05 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7f28000
13:47:05 read(4, "# Locale name alias data base.\n#"..., 4096) = 2528
13:47:05 read(4, "", 4096)              = 0
13:47:05 close(4)                       = 0
13:47:05 munmap(0xb7f28000, 4096)       = 0
13:47:05 open("/usr/share/locale/en_US.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) =
-1 ENOENT (No such file or directory)
13:47:05 open("/usr/share/locale/en_US.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
13:47:05 open("/usr/share/locale/en_US/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
13:47:05 open("/usr/share/locale/en.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
13:47:05 open("/usr/share/locale/en.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
13:47:05 open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT
(No such file or directory)
13:47:05 write(3, "mount: Not a directory\n", 23mount: Not a directory
) = 23
13:47:05 close(3)                       = 0
13:47:05 munmap(0xb7f29000, 4096)       = 0
13:47:05 stat64("/etc/blkid.tab", {st_mode=S_IFREG|0644, st_size=753, ...}) = 0
13:47:05 access("/etc/blkid.tab", W_OK) = 0
13:47:05 gettimeofday({1129056425, 88632}, NULL) = 0
13:47:05 getpid()                       = 5938
13:47:05 open("/etc/blkid.tab-dH3KHW", O_RDWR|O_CREAT|O_EXCL, 0600) = 3
13:47:05 fcntl64(3, F_GETFL)            = 0x2 (flags O_RDWR)
13:47:05 fstat64(3, {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
13:47:05 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7f29000
13:47:05 _llseek(3, 0, [0], SEEK_CUR)   = 0
13:47:05 fchmod(3, 0644)                = 0
13:47:05 write(3, "<device DEVNO=\"0x0301\" TIME=\"112"..., 753) = 753
13:47:05 close(3)                       = 0
13:47:05 munmap(0xb7f29000, 4096)       = 0
13:47:05 unlink("/etc/blkid.tab.old")   = 0
13:47:05 link("/etc/blkid.tab", "/etc/blkid.tab.old") = 0
13:47:05 rename("/etc/blkid.tab-dH3KHW", "/etc/blkid.tab") = 0
13:47:05 exit_group(32)                 = ?
Comment 2 Karel Zak 2005-10-20 06:04:42 EDT



*** This bug has been marked as a duplicate of 170443 ***

Note You need to log in before you can comment on or make changes to this bug.